  REM A batch file to update a MS Access database then run it under a secure workgroup
  REM by Keith Harvey 09/2000 - harvey@hunterlink.net.au
  REM **** USER ACCEPTS ALL RISKS WHEN USING THIS BATCH FILE ****

  REM **** STOP MESSAGES, CLEAR SCREEN, KEEP USER INFORMED ****
ECHO off
CLS
ECHO.
ECHO Starting Your Front End. Should only take a few seconds
ECHO.

  REM Note that the variables and the batch file name MUST be customised for each database

  REM ***** ABOUT THE VARIABLES ******.  
  REM PGRM is the variable for the file name of your current Front_End.mdb.
  REM When updating the version of the Front End simply change PGRM and resave the batch file
  REM (Note: PGRM must also fit the LOCDEL naming pattern below so old versions delete OK.)
  REM LOCDIR is the directory on the Client PC that will hold the working version of PGRM
  REM LOCDEL is the pattern of files to delete in LOCDIR if the latest version 
  REM of PGRM can't be found (Note that the value of LOCDEL is case sensitive)
  REM (Vital Note: TRIPLE CHECK the items you assign to LOCDIR and LOCDEL. Delete is 
  REM VERY unforgiving.  NEVER EVER set LOCDIR to just C: or LOCDEL to *.*)
  REM MSACC is the dos path to MS Access on the local PC. 
  REM SRVDIR is the directory on the Server to get the latest version of PGRM from.
  REM WKGRP is the location of the access secure workgroup to use.  (Note. Leave WKGRP blank
  REM if you are using the standard MSAccess work group)

  REM ***** THE VARIABLES *****

set PGRM=FE_Ver123.mdb

set LOCDIR=C:\LData_FE

set LOCDEL=FE_Ver*.mdb

set MSACC="C:\Program Files\Microsoft Office\Office\MSACCESS.EXE"

set SRVDIR="\\srvr1\dir\yourdir"

set WKGRP=/wrkgrp "\\srvr1\dir\System\yoursystem.mda"

  REM ***** COPY YOUR CURRENT FRONT END TO THE PC CLIENT ***** 
  REM Check if the local directory LOCDIR exist's, if not then create it
  REM If current version of PGRM does not exist in LOCDIR then:
  REM 1. Keep the customers happy!
  REM 2. Delete any old versions of PGRM from LOCDIR,
  REM 3. Copy the new version of PGRM to LOCDIR

if not exist %LOCDIR% md %LOCDIR%
if not exist %LOCDIR%\%PGRM% echo Updating to the latest version of %PGRM%
if not exist %LOCDIR%\%PGRM% del %LOCDIR%\%LOCDEL%
if not exist %LOCDIR%\%PGRM% copy %SRVDIR%\%PGRM% %LOCDIR%\%PGRM%

  REM **** FINALLY, START THE LATEST VERSION OF THE FRONT END ON THE PC ******

START /MAX %MSACC% %WKGRP% %LOCDIR%\%PGRM%

  REM **** CLOSE THE MSDOS WINDOW ****
cls